Index: /branches/version-2_13-dev/data/class/util/SC_Utils.php
===================================================================
--- /branches/version-2_13-dev/data/class/util/SC_Utils.php	(revision 23005)
+++ /branches/version-2_13-dev/data/class/util/SC_Utils.php	(revision 23124)
@@ -36,5 +36,5 @@
 {
     // インストール初期処理
-    function sfInitInstall()
+    public function sfInitInstall()
     {
         // インストール済みが定義されていない。
@@ -62,8 +62,8 @@
      * DocumentRoot まで検索しても見つからない場合は /install/index.php を返す.
      *
-     * @param string $path 検索対象のパス
+     * @param  string $path 検索対象のパス
      * @return string インストーラの URL
      */
-    function searchInstallerPath($path)
+    public function searchInstallerPath($path)
     {
         $installer = 'install/' . DIR_INDEX_PATH;
@@ -101,8 +101,8 @@
      * http://www.example.jp/index.php
      *
-     * @param string $url http(s):// から始まる URL
+     * @param  string $url http(s):// から始まる URL
      * @return string $url を絶対パスに変換した URL
      */
-    function getRealURL($url)
+    public function getRealURL($url)
     {
         $parse = parse_url($url);
@@ -125,5 +125,5 @@
 
     // 装飾付きエラーメッセージの表示
-    function sfErrorHeader($mess, $print = false)
+    public function sfErrorHeader($mess, $print = false)
     {
         global $GLOBAL_ERR;
@@ -137,5 +137,5 @@
 
     /* エラーページの表示 */
-    function sfDispError($type)
+    public function sfDispError($type)
     {
         require_once CLASS_EX_REALDIR . 'page_extends/error/LC_Page_Error_DispError_Ex.php';
@@ -149,5 +149,5 @@
 
     /* サイトエラーページの表示 */
-    function sfDispSiteError($type, $objSiteSess = '', $return_top = false, $err_msg = '')
+    public function sfDispSiteError($type, $objSiteSess = '', $return_top = false, $err_msg = '')
     {
         require_once CLASS_EX_REALDIR . 'page_extends/error/LC_Page_Error_Ex.php';
@@ -169,5 +169,5 @@
      * @deprecated 2.12.0 trigger_error($debugMsg, E_USER_ERROR) を使用すること
      */
-    function sfDispException($debugMsg = null)
+    public function sfDispException($debugMsg = null)
     {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
@@ -176,5 +176,5 @@
 
     /* 認証の可否判定 */
-    function sfIsSuccess($objSess, $disp_error = true)
+    public function sfIsSuccess($objSess, $disp_error = true)
     {
         $ret = $objSess->IsSuccess();
@@ -184,4 +184,5 @@
                 SC_Utils_Ex::sfDispError($ret);
             }
+
             return false;
         }
@@ -210,8 +211,8 @@
      * 文字列をアスタリスクへ変換する.
      *
-     * @param string $passlen 変換する文字列
+     * @param  string $passlen 変換する文字列
      * @return string アスタリスクへ変換した文字列
      */
-    function sfPassLen($passlen)
+    public function sfPassLen($passlen)
     {
         $ret = '';
@@ -229,5 +230,5 @@
      * @return bool
      */
-    function sfIsHTTPS()
+    public function sfIsHTTPS()
     {
         // HTTPS時には$_SERVER['HTTPS']には空でない値が入る
@@ -246,5 +247,5 @@
      *  @return bool
      */
-    function sfIsValidTransition($objSess)
+    public function sfIsValidTransition($objSess)
     {
         // 前画面からPOSTされるuniqidが正しいものかどうかをチェック
@@ -258,5 +259,5 @@
 
     /* DB用日付文字列取得 */
-    function sfGetTimestamp($year, $month, $day, $last = false)
+    public function sfGetTimestamp($year, $month, $day, $last = false)
     {
         if ($year != '' && $month != '' && $day != '') {
@@ -275,5 +276,5 @@
 
     /* DB用日付日時文字列取得 */
-    function sfGetTimestampistime($year, $month, $day, $hour, $minutes, $last = false)
+    public function sfGetTimestampistime($year, $month, $day, $hour, $minutes, $last = false)
     {
         if ($year != '' && $month != '' && $day != '' && $hour != '' && $minutes != '') {
@@ -300,5 +301,5 @@
      */
     //
-    function sfIsInt($value)
+    public function sfIsInt($value)
     {
         if (strlen($value) >= 1 && strlen($value) <= INT_LEN && is_numeric($value)) {
@@ -312,10 +313,11 @@
      * 桁が0で埋められているかを判定する
      *
-     * @param string $value 検査対象
+     * @param  string  $value 検査対象
      * @return boolean 0で埋められている
      */
-    function sfIsZeroFilling($value)
+    public function sfIsZeroFilling($value)
     {
         if (strlen($value) > 1 && $value{0} === '0')
+
             return true;
 
@@ -323,5 +325,5 @@
     }
 
-    function sfGetCSVData($data, $prefix = '')
+    public function sfGetCSVData($data, $prefix = '')
     {
         if ($prefix == '') {
@@ -337,9 +339,10 @@
 
         /* データを出力 */
+
         return array($file_name, $data);
     }
 
     /* 1階層上のディレクトリ名を取得する */
-    function sfUpDirName()
+    public function sfUpDirName()
     {
         $path = $_SERVER['SCRIPT_NAME'];
@@ -354,5 +357,5 @@
      * @deprecated
      */
-    function sfMergeCBValue($keyname, $max)
+    public function sfMergeCBValue($keyname, $max)
     {
         $conv = '';
@@ -373,5 +376,5 @@
      * @deprecated
      */
-    function sfMergeCheckBoxes($array, $max)
+    public function sfMergeCheckBoxes($array, $max)
     {
         $ret = '';
@@ -397,5 +400,5 @@
      * @deprecated
      */
-    function sfMergeParamCheckBoxes($array)
+    public function sfMergeParamCheckBoxes($array)
     {
         $ret = '';
@@ -419,5 +422,5 @@
      * @deprecated
      */
-    function sfSearchCheckBoxes($array)
+    public function sfSearchCheckBoxes($array)
     {
         $max = max($array);
@@ -437,5 +440,5 @@
      * @deprecated
      */
-    function sfSplitCheckBoxes($val)
+    public function sfSplitCheckBoxes($val)
     {
         $arrRet = array();
@@ -454,5 +457,5 @@
      * @deprecated
      */
-    function sfMergeCBSearchValue($keyname, $max)
+    public function sfMergeCBSearchValue($keyname, $max)
     {
         $conv = '';
@@ -473,5 +476,5 @@
      * @deprecated
      */
-    function sfSplitCBValue($val, $keyname = '')
+    public function sfSplitCBValue($val, $keyname = '')
     {
         $arr = array();
@@ -491,5 +494,5 @@
 
     // キーと値をセットした配列を取得
-    function sfArrKeyValue($arrList, $keyname, $valname, $len_max = '', $keysize = '')
+    public function sfArrKeyValue($arrList, $keyname, $valname, $len_max = '', $keysize = '')
     {
         $arrRet = array();
@@ -518,5 +521,5 @@
 
     // キーと値をセットした配列を取得(値が複数の場合)
-    function sfArrKeyValues($arrList, $keyname, $valname, $len_max = '', $keysize = '', $connect = '')
+    public function sfArrKeyValues($arrList, $keyname, $valname, $len_max = '', $keysize = '', $connect = '')
     {
         $max = count($arrList);
@@ -546,5 +549,5 @@
 
     // 配列の値をカンマ区切りで返す。
-    function sfGetCommaList($array, $space=true, $arrPop = array())
+    public function sfGetCommaList($array, $space=true, $arrPop = array())
     {
         if (count($array) > 0) {
@@ -564,4 +567,5 @@
                 $line = preg_replace("/,$/", '', $line);
             }
+
             return $line;
         } else {
@@ -572,5 +576,5 @@
 
     /* 配列の要素をCSVフォーマットで出力する。*/
-    function sfGetCSVList($array)
+    public function sfGetCSVList($array)
     {
         $line = '';
@@ -597,5 +601,5 @@
     /*            ３．エラー (0 = OK, 1 = NG)
     /*-----------------------------------------------------------------*/
-    function sfCheckSetTerm($start_year, $start_month, $start_day, $end_year, $end_month, $end_day)
+    public function sfCheckSetTerm($start_year, $start_month, $start_day, $end_year, $end_month, $end_day)
     {
         // 期間指定
@@ -621,5 +625,5 @@
 
     // エラー箇所の背景色を変更するためのfunction SC_Viewで読み込む
-    function sfSetErrorStyle()
+    public function sfSetErrorStyle()
     {
         return 'style="background-color:'.ERR_COLOR.'"';
@@ -627,5 +631,5 @@
 
     // 一致した値のキー名を取得
-    function sfSearchKey($array, $word, $default)
+    public function sfSearchKey($array, $word, $default)
     {
         foreach ($array as $key => $val) {
@@ -638,5 +642,5 @@
     }
 
-    function sfGetErrorColor($val)
+    public function sfGetErrorColor($val)
     {
         if ($val != '') {
@@ -647,5 +651,5 @@
     }
 
-    function sfGetEnabled($val)
+    public function sfGetEnabled($val)
     {
         if (! $val) {
@@ -656,7 +660,7 @@
     }
 
-    function sfGetChecked($param, $value)
-    {
-        if ((string)$param === (string)$value) {
+    public function sfGetChecked($param, $value)
+    {
+        if ((string) $param === (string) $value) {
             return 'checked="checked"';
         }
@@ -665,8 +669,9 @@
     }
 
-    function sfTrim($str)
+    public function sfTrim($str)
     {
         $ret = preg_replace("/^[　 \n\r]*/u", '', $str);
         $ret = preg_replace("/[　 \n\r]*$/u", '', $ret);
+
         return $ret;
     }
@@ -678,10 +683,10 @@
      *
      * @param integer $price 計算対象の金額
-     * @param integer $tax 税率(%単位)
+     * @param integer $tax   税率(%単位)
      *     XXX integer のみか不明
-     * @param integer $tax_rule 端数処理
+     * @param  integer $tax_rule 端数処理
      * @return integer 税金額
      */
-    function sfTax($price, $tax, $tax_rule)
+    public function sfTax($price, $tax, $tax_rule)
     {
         $real_tax = $tax / 100;
@@ -715,10 +720,10 @@
      *
      * @param integer $price 計算対象の金額
-     * @param integer $tax 税率(%単位)
+     * @param integer $tax   税率(%単位)
      *     XXX integer のみか不明
-     * @param integer $tax_rule 端数処理
+     * @param  integer $tax_rule 端数処理
      * @return integer 税金付与した金額
      */
-    function sfCalcIncTax($price, $tax, $tax_rule)
+    public function sfCalcIncTax($price, $tax, $tax_rule)
     {
         return $price + SC_Utils_Ex::sfTax($price, $tax, $tax_rule);
@@ -726,5 +731,5 @@
 
     // 桁数を指定して四捨五入
-    function sfRound($value, $pow = 0)
+    public function sfRound($value, $pow = 0)
     {
         $adjust = pow(10 ,$pow-1);
@@ -743,10 +748,10 @@
      * ポイント付与
      * $product_id が使われていない。
-     * @param int $price
-     * @param float $point_rate
-     * @param int $rule
+     * @param  int   $price
+     * @param  float $point_rate
+     * @param  int   $rule
      * @return int
      */
-    function sfPrePoint($price, $point_rate, $rule = POINT_RULE)
+    public function sfPrePoint($price, $point_rate, $rule = POINT_RULE)
     {
         $real_point = $point_rate / 100;
@@ -775,5 +780,5 @@
 
     /* 規格分類の件数取得 */
-    function sfGetClassCatCount()
+    public function sfGetClassCatCount()
     {
         $sql = 'select count(dtb_class.class_id) as count, dtb_class.class_id ';
@@ -791,10 +796,10 @@
     /**
      * 商品IDとカテゴリIDから商品規格IDを取得する
-     * @param int $product_id
-     * @param int $classcategory_id1 デフォルト値0
-     * @param int $classcategory_id2 デフォルト値0
+     * @param  int $product_id
+     * @param  int $classcategory_id1 デフォルト値0
+     * @param  int $classcategory_id2 デフォルト値0
      * @return int
      */
-    function sfGetProductClassId($product_id, $classcategory_id1=0, $classcategory_id2=0)
+    public function sfGetProductClassId($product_id, $classcategory_id1=0, $classcategory_id2=0)
     {
         $where = 'product_id = ? AND classcategory_id1 = ? AND classcategory_id2 = ?';
@@ -812,5 +817,5 @@
 
     /* 文末の「/」をなくす */
-    function sfTrimURL($url)
+    public function sfTrimURL($url)
     {
         $ret = rtrim($url, '/');
@@ -820,5 +825,5 @@
 
     /* DBから取り出した日付の文字列を調整する。*/
-    function sfDispDBDate($dbdate, $time = true)
+    public function sfDispDBDate($dbdate, $time = true)
     {
         list($y, $m, $d, $H, $M) = preg_split('/[- :]/', $dbdate);
@@ -838,5 +843,5 @@
 
     /* 配列をキー名ごとの配列に変更する */
-    function sfSwapArray($array, $isColumnName = true)
+    public function sfSwapArray($array, $isColumnName = true)
     {
         $arrRet = array();
@@ -865,5 +870,5 @@
      * @return array 連想配列の値のみの配列
      */
-    function getHash2Array($hash, $requires = array())
+    public function getHash2Array($hash, $requires = array())
     {
         $array = array();
@@ -885,5 +890,5 @@
 
     /* かけ算をする（Smarty用) */
-    function sfMultiply($num1, $num2)
+    public function sfMultiply($num1, $num2)
     {
         return $num1 * $num2;
@@ -895,10 +900,10 @@
      * ・店舗基本情報に基づいた計算は SC_Helper_DB::sfGetAddPoint() を使用する
      *
-     * @param integer $totalpoint
-     * @param integer $use_point
-     * @param integer $point_rate
+     * @param  integer $totalpoint
+     * @param  integer $use_point
+     * @param  integer $point_rate
      * @return integer 加算ポイント
      */
-    function sfGetAddPoint($totalpoint, $use_point, $point_rate)
+    public function sfGetAddPoint($totalpoint, $use_point, $point_rate)
     {
         // 購入商品の合計ポイントから利用したポイントのポイント換算価値を引く方式
@@ -913,5 +918,5 @@
 
     /* 一意かつ予測されにくいID */
-    function sfGetUniqRandomId($head = '')
+    public function sfGetUniqRandomId($head = '')
     {
         // 予測されないようにランダム文字列を付与する。
@@ -924,10 +929,10 @@
 
     // 二回以上繰り返されているスラッシュ[/]を一つに変換する。
-    function sfRmDupSlash($istr)
+    public function sfRmDupSlash($istr)
     {
         if (preg_match('|^http://|', $istr)) {
             $str = substr($istr, 7);
             $head = 'http://';
-        } else if (preg_match('|^https://|', $istr)) {
+        } elseif (preg_match('|^https://|', $istr)) {
             $str = substr($istr, 8);
             $head = 'https://';
@@ -953,10 +958,10 @@
      *
      * @access public
-     * @param string $filepath 変換するテキストファイルのパス
-     * @param string $enc_type 変換後のファイルエンコーディングの種類を表す文字列
-     * @param string $out_dir 変換後のファイルを出力するディレクトリを表す文字列
+     * @param  string $filepath 変換するテキストファイルのパス
+     * @param  string $enc_type 変換後のファイルエンコーディングの種類を表す文字列
+     * @param  string $out_dir  変換後のファイルを出力するディレクトリを表す文字列
      * @return string 変換後のテキストファイルのパス
      */
-    function sfEncodeFile($filepath, $enc_type, $out_dir)
+    public function sfEncodeFile($filepath, $enc_type, $out_dir)
     {
         $ifp = fopen($filepath, 'r');
@@ -987,5 +992,5 @@
     }
 
-    function sfCutString($str, $len, $byte = true, $commadisp = true)
+    public function sfCutString($str, $len, $byte = true, $commadisp = true)
     {
         if ($byte) {
@@ -1037,5 +1042,5 @@
 
     // 年、月、締め日から、先月の締め日+1、今月の締め日を求める。
-    function sfTermMonth($year, $month, $close_day)
+    public function sfTermMonth($year, $month, $close_day)
     {
         $end_year = $year;
@@ -1080,5 +1085,5 @@
 
     // 再帰的に多段配列を検索して一次元配列(Hidden引渡し用配列)に変換する。
-    function sfMakeHiddenArray($arrSrc, $arrDst = array(), $parent_key = '')
+    public function sfMakeHiddenArray($arrSrc, $arrDst = array(), $parent_key = '')
     {
         if (is_array($arrSrc)) {
@@ -1101,5 +1106,5 @@
 
     // DB取得日時をタイムに変換
-    function sfDBDatetoTime($db_date)
+    public function sfDBDatetoTime($db_date)
     {
         $date = preg_replace("|\..*$|",'',$db_date);
@@ -1114,5 +1119,5 @@
      * XXX この関数を使っている箇所は、ほぼ設計誤りと思われる。変数にフェッチするか、出力時のエンコーディングで対応すべきと見受ける。
      */
-    function sfMbConvertEncoding($str, $encode = CHAR_CODE)
+    public function sfMbConvertEncoding($str, $encode = CHAR_CODE)
     {
         return mb_convert_encoding($str, $encode);
@@ -1120,5 +1125,5 @@
 
     // 2つの配列を用いて連想配列を作成する
-    function sfArrCombine($arrKeys, $arrValues)
+    public function sfArrCombine($arrKeys, $arrValues)
     {
         if (count($arrKeys) <= 0 and count($arrValues) <= 0) return array();
@@ -1133,10 +1138,9 @@
         }
         if (is_array($combine_ary)) return $combine_ary;
-
         return false;
     }
 
     /* 階層構造のテーブルから与えられたIDの直属の子を取得する */
-    function sfGetUnderChildrenArray($arrData, $pid_name, $id_name, $parent)
+    public function sfGetUnderChildrenArray($arrData, $pid_name, $id_name, $parent)
     {
         $max = count($arrData);
@@ -1157,5 +1161,5 @@
      * @deprecated SC_Query::quote() を使用すること
      */
-    function sfQuoteSmart($in)
+    public function sfQuoteSmart($in)
     {
         if (is_int($in) || is_double($in)) {
@@ -1171,5 +1175,5 @@
 
     // ディレクトリを再帰的に生成する
-    function sfMakeDir($path)
+    public function sfMakeDir($path)
     {
         static $count = 0;
@@ -1200,5 +1204,5 @@
 
     // ディレクトリ以下のファイルを再帰的にコピー
-    function sfCopyDir($src, $des, $mess = '', $override = false)
+    public function sfCopyDir($src, $des, $mess = '', $override = false)
     {
         if (!is_dir($src)) {
@@ -1256,8 +1260,8 @@
      * ブラウザに強制的に送出する
      *
-     * @param boolean|string $output 半角スペース256文字+改行を出力するか。または、送信する文字列を指定。
+     * @param  boolean|string $output 半角スペース256文字+改行を出力するか。または、送信する文字列を指定。
      * @return void
      */
-    function sfFlush($output = false, $sleep = 0)
+    public function sfFlush($output = false, $sleep = 0)
     {
         // 出力をバッファリングしない(==日本語自動変換もしない)
@@ -1268,5 +1272,5 @@
             //echo str_repeat(' ', 256) . "\n";
             echo str_pad('', 256) . "\n";
-        } else if ($output !== false) {
+        } elseif ($output !== false) {
             echo $output;
         }
@@ -1282,5 +1286,5 @@
 
     // @versionの記載があるファイルからバージョンを取得する。
-    function sfGetFileVersion($path)
+    public function sfGetFileVersion($path)
     {
         if (file_exists($path)) {
@@ -1304,10 +1308,10 @@
      * $array の要素を $arrConvList で指定した方式で mb_convert_kana を適用する.
      *
-     * @param array $array 変換する文字列の配列
-     * @param array $arrConvList mb_convert_kana の適用ルール
+     * @param  array $array       変換する文字列の配列
+     * @param  array $arrConvList mb_convert_kana の適用ルール
      * @return array 変換後の配列
      * @see mb_convert_kana
      */
-    function mbConvertKanaWithArray($array, $arrConvList)
+    public function mbConvertKanaWithArray($array, $arrConvList)
     {
         foreach ($arrConvList as $key => $val) {
@@ -1323,9 +1327,9 @@
      * 配列の添字が未定義の場合は空文字を代入して定義する.
      *
-     * @param array $array 添字をチェックする配列
-     * @param array $defineIndexes チェックする添字
+     * @param  array $array         添字をチェックする配列
+     * @param  array $defineIndexes チェックする添字
      * @return array 添字を定義した配列
      */
-    function arrayDefineIndexes($array, $defineIndexes)
+    public function arrayDefineIndexes($array, $defineIndexes)
     {
         foreach ($defineIndexes as $key) {
@@ -1341,9 +1345,9 @@
      * $arrSrc に含まない要素は返されない。
      *
-     * @param array $arrSrc
-     * @param array $arrKey
+     * @param  array $arrSrc
+     * @param  array $arrKey
      * @return array
      */
-    function sfArrayIntersectKeys($arrSrc, $arrKey)
+    public function sfArrayIntersectKeys($arrSrc, $arrKey)
     {
         $arrRet = array();
@@ -1360,5 +1364,5 @@
      * @deprecated 2.12.0 GC_Utils_Ex::printXMLDeclaration を使用すること
      */
-    function printXMLDeclaration()
+    public function printXMLDeclaration()
     {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
@@ -1371,5 +1375,5 @@
      * @return string
      */
-    function getTableTag($array)
+    public function getTableTag($array)
     {
         $html = '<table>';
@@ -1399,5 +1403,5 @@
      * @return string $file 画像のパス、画像が存在しない場合、NO_IMAGE_REALFILEを返す
      */
-    function getSaveImagePath($filename)
+    public function getSaveImagePath($filename)
     {
         $file = NO_IMAGE_REALFILE;
@@ -1407,4 +1411,5 @@
             $file = IMAGE_SAVE_REALDIR . $filename;
         }
+
         return $file;
     }
@@ -1416,5 +1421,5 @@
      * @return string
      */
-    function sfNoImageMainList($filename = '')
+    public function sfNoImageMainList($filename = '')
     {
         if (strlen($filename) == 0 || substr($filename, -1, 1) == '/') {
@@ -1431,5 +1436,5 @@
      * @return string
      */
-    function sfNoImageMain($filename = '')
+    public function sfNoImageMain($filename = '')
     {
         if (strlen($filename) == 0 || substr($filename, -1, 1) == '/') {
@@ -1441,5 +1446,5 @@
 
     /* デバッグ用 ------------------------------------------------------------------------------------------------*/
-    function sfPrintR($obj)
+    public function sfPrintR($obj)
     {
         echo '<div style="font-size: 12px;color: #00FF00;">' . "\n";
@@ -1454,8 +1459,8 @@
      * ランダムな文字列を取得する
      *
-     * @param integer $length 文字数
-     * @return string ランダムな文字列
-     */
-    function sfGetRandomString($length = 1)
+     * @param  integer $length 文字数
+     * @return string  ランダムな文字列
+     */
+    public function sfGetRandomString($length = 1)
     {
         return Text_Password::create($length);
@@ -1467,5 +1472,5 @@
      * @deprecated 2.12.0 GC_Utils_Ex::getUrl を使用すること
      */
-    function sfGetUrl()
+    public function sfGetUrl()
     {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
@@ -1479,5 +1484,5 @@
      * @deprecated 2.12.0 GC_Utils_Ex::toStringBacktrace を使用すること
      */
-    function sfBacktraceToString($arrBacktrace)
+    public function sfBacktraceToString($arrBacktrace)
     {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
@@ -1491,5 +1496,5 @@
      * @deprecated 2.12.0 GC_Utils_Ex::isAdminFunction を使用すること
      */
-    function sfIsAdminFunction()
+    public function sfIsAdminFunction()
     {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
@@ -1503,5 +1508,5 @@
      * @deprecated 2.12.0 GC_Utils_Ex::isFrontFunction を使用すること
      */
-    function sfIsFrontFunction()
+    public function sfIsFrontFunction()
     {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
@@ -1515,5 +1520,5 @@
      * @deprecated 2.12.0 GC_Utils_Ex::isInstallFunction を使用すること
      */
-    function sfIsInstallFunction()
+    public function sfIsInstallFunction()
     {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
@@ -1523,5 +1528,5 @@
 
     // 郵便番号から住所の取得
-    function sfGetAddress($zipcode)
+    public function sfGetAddress($zipcode)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -1569,5 +1574,5 @@
      * @deprecated 2.12.0 microtime(true) を使用する。
      */
-    function sfMicrotimeFloat()
+    public function sfMicrotimeFloat()
     {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
@@ -1593,9 +1598,9 @@
      * 空白と判断する.
      *
-     * @param mixed $val チェック対象の変数
-     * @param boolean $greedy '貧欲'にチェックを行う場合 true
+     * @param  mixed   $val    チェック対象の変数
+     * @param  boolean $greedy '貧欲'にチェックを行う場合 true
      * @return boolean $val が空白と判断された場合 true
      */
-    function isBlank($val, $greedy = true)
+    public function isBlank($val, $greedy = true)
     {
         if (is_array($val)) {
@@ -1615,4 +1620,5 @@
                     }
                 }
+
                 return $array_result;
             } else {
@@ -1638,8 +1644,8 @@
      * 戻り値：一致(true) 不一致(false)
      *
-     * @param string $url
+     * @param  string  $url
      * @return boolean
      */
-    function sfIsInternalDomain($url)
+    public function sfIsInternalDomain($url)
     {
         $netURL = new Net_URL(HTTP_URL);
@@ -1655,9 +1661,9 @@
      * パスワードのハッシュ化
      *
-     * @param string $str 暗号化したい文言
-     * @param string $salt salt
+     * @param  string $str  暗号化したい文言
+     * @param  string $salt salt
      * @return string ハッシュ暗号化された文字列
      */
-    function sfGetHashString($str, $salt)
+    public function sfGetHashString($str, $salt)
     {
         $res = '';
@@ -1677,10 +1683,10 @@
      * パスワード文字列のハッシュ一致判定
      *
-     * @param string $pass 確認したいパスワード文字列
-     * @param string $hashpass 確認したいパスワードハッシュ文字列
-     * @param string $salt salt
+     * @param  string  $pass     確認したいパスワード文字列
+     * @param  string  $hashpass 確認したいパスワードハッシュ文字列
+     * @param  string  $salt     salt
      * @return boolean 一致判定
      */
-    function sfIsMatchHashPassword($pass, $hashpass, $salt)
+    public function sfIsMatchHashPassword($pass, $hashpass, $salt)
     {
         $res = false;
@@ -1712,8 +1718,8 @@
      * 取得できなかった場合は, 定数 SEARCH_PMAX の値を返す
      *
-     * @param string $search_page_max 表示件数の選択値
+     * @param  string  $search_page_max 表示件数の選択値
      * @return integer 1ページあたりの最大表示件数
      */
-    function sfGetSearchPageMax($search_page_max)
+    public function sfGetSearchPageMax($search_page_max)
     {
         if (SC_Utils_Ex::sfIsInt($search_page_max) && $search_page_max > 0) {
@@ -1733,10 +1739,10 @@
      * 使用できない場合は, Services_JSON::encode() 関数を使用する.
      *
-     * @param mixed $value JSON 形式にエンコードする値
+     * @param  mixed  $value JSON 形式にエンコードする値
      * @return string JSON 形式にした文字列
      * @see json_encode()
      * @see Services_JSON::encode()
      */
-    function jsonEncode($value)
+    public function jsonEncode($value)
     {
         if (function_exists('json_encode')) {
@@ -1745,4 +1751,5 @@
             GC_Utils_Ex::gfPrintLog(' *use Services_JSON::encode(). faster than using the json_encode!');
             $objJson = new Services_JSON();
+
             return $objJson->encode($value);
         }
@@ -1756,10 +1763,10 @@
      * 使用できない場合は, Services_JSON::decode() 関数を使用する.
      *
-     * @param string $json JSON 形式にエンコードされた文字列
-     * @return mixed デコードされた PHP の型
+     * @param  string $json JSON 形式にエンコードされた文字列
+     * @return mixed  デコードされた PHP の型
      * @see json_decode()
      * @see Services_JSON::decode()
      */
-    function jsonDecode($json)
+    public function jsonDecode($json)
     {
         if (function_exists('json_decode')) {
@@ -1768,4 +1775,5 @@
             GC_Utils_Ex::gfPrintLog(' *use Services_JSON::decode(). faster than using the json_decode!');
             $objJson = new Services_JSON();
+
             return $objJson->decode($json);
         }
@@ -1781,5 +1789,5 @@
      * @return boolean 絶対パスの場合 true
      */
-    function isAbsoluteRealPath($realpath)
+    public function isAbsoluteRealPath($realpath)
     {
         if (strpos(PHP_OS, 'WIN') === false) {
@@ -1795,10 +1803,10 @@
      * mkdir 関数の $recursive パラメーターを PHP4 でサポートする.
      *
-     * @param string $pathname ディレクトリのパス
-     * @param integer $mode 作成するディレクトリのパーミッション
+     * @param  string  $pathname ディレクトリのパス
+     * @param  integer $mode     作成するディレクトリのパーミッション
      * @return boolean 作成に成功した場合 true; 失敗した場合 false
      * @see http://jp.php.net/mkdir
      */
-    function recursiveMkdir($pathname, $mode = 0777)
+    public function recursiveMkdir($pathname, $mode = 0777)
     {
         /*
@@ -1811,5 +1819,5 @@
     }
 
-    function isAppInnerUrl($url)
+    public function isAppInnerUrl($url)
     {
         $pattern = '/^(' . preg_quote(HTTP_URL, '/') . '|' . preg_quote(HTTPS_URL, '/') . ')/';
@@ -1823,10 +1831,10 @@
      * ループの中で呼び出すことを意図している。
      * 暴走スレッドが残留する確率を軽減するため、set_time_limit(0) とはしていない。
-     * @param integer $seconds 最大実行時間を延長する秒数。
+     * @param  integer $seconds 最大実行時間を延長する秒数。
      * @return boolean 成功=true, 失敗=false
      */
-    function extendTimeOut($seconds = null)
-    {
-        $safe_mode = (boolean)ini_get('safe_mode');
+    public function extendTimeOut($seconds = null)
+    {
+        $safe_mode = (boolean) ini_get('safe_mode');
         if ($safe_mode) return false;
 
@@ -1849,5 +1857,5 @@
      * @return void
      */
-    function clearCompliedTemplate()
+    public function clearCompliedTemplate()
     {
         // コンパイルファイルの削除処理
@@ -1860,9 +1868,9 @@
     /**
      * 指定されたパスの配下を再帰的にコピーします.
-     * @param string $imageDir コピー元ディレクトリのパス
-     * @param string $destDir コピー先ディレクトリのパス
+     * @param  string $imageDir コピー元ディレクトリのパス
+     * @param  string $destDir  コピー先ディレクトリのパス
      * @return void
      */
-    function copyDirectory($source_path, $dest_path)
+    public function copyDirectory($source_path, $dest_path)
     {
         $handle=opendir($source_path);
@@ -1885,10 +1893,10 @@
     /**
      * 文字列を区切り文字を挟み反復する
-     * @param string $input 繰り返す文字列。
-     * @param string $multiplier input を繰り返す回数。
-     * @param string $separator 区切り文字
+     * @param  string $input      繰り返す文字列。
+     * @param  string $multiplier input を繰り返す回数。
+     * @param  string $separator  区切り文字
      * @return string
      */
-    function repeatStrWithSeparator($input, $multiplier, $separator = ',')
+    public function repeatStrWithSeparator($input, $multiplier, $separator = ',')
     {
         return implode($separator, array_fill(0, $multiplier, $input));
@@ -1899,8 +1907,8 @@
      * MEMO: PHP5.3.0未満では、~のエンコードをしてしまうための処理
      *
-     * @param string $str 文字列
+     * @param  string $str 文字列
      * @return string RFC3986エンコード文字列
      */
-    function encodeRFC3986($str)
+    public function encodeRFC3986($str)
     {
         return str_replace('%7E', '~', rawurlencode($str));
@@ -1910,9 +1918,9 @@
      * マルチバイト対応の trim
      *
-     * @param string $str 入力文字列
-     * @param string $charlist 削除する文字を指定
+     * @param  string $str      入力文字列
+     * @param  string $charlist 削除する文字を指定
      * @return string 変更後の文字列
      */
-    static function trim($str, $charlist = null)
+    public static function trim($str, $charlist = null)
     {
         $re = SC_Utils_Ex::getTrimPregPattern($charlist);
@@ -1924,9 +1932,9 @@
      * マルチバイト対応の ltrim
      *
-     * @param string $str 入力文字列
-     * @param string $charlist 削除する文字を指定
+     * @param  string $str      入力文字列
+     * @param  string $charlist 削除する文字を指定
      * @return string 変更後の文字列
      */
-    static function ltrim($str, $charlist = null)
+    public static function ltrim($str, $charlist = null)
     {
         $re = SC_Utils_Ex::getTrimPregPattern($charlist);
@@ -1938,9 +1946,9 @@
      * マルチバイト対応の rtrim
      *
-     * @param string $str 入力文字列
-     * @param string $charlist 削除する文字を指定
+     * @param  string $str      入力文字列
+     * @param  string $charlist 削除する文字を指定
      * @return string 変更後の文字列
      */
-    static function rtrim($str, $charlist = null)
+    public static function rtrim($str, $charlist = null)
     {
         $re = SC_Utils_Ex::getTrimPregPattern($charlist);
@@ -1952,8 +1960,8 @@
      * 文字列のトリム処理で使用する PCRE のパターン
      *
-     * @param string $charlist 削除する文字を指定
+     * @param  string $charlist 削除する文字を指定
      * @return string パターン
      */
-    static function getTrimPregPattern($charlist = null)
+    public static function getTrimPregPattern($charlist = null)
     {
         if (is_null($charlist)) {
@@ -1967,14 +1975,14 @@
      * データ量の単位を付与する
      *
-     * @param int $data
+     * @param  int    $data
      * @return string
      */
-    function getUnitDataSize($data)
-    {
-        if($data < 1000){
+    public function getUnitDataSize($data)
+    {
+        if ($data < 1000) {
             $return = $data . "KB";
-        }elseif($data < 1000000){
+        } elseif ($data < 1000000) {
             $return = $data/1000 . "MB";
-        }else{
+        } else {
             $return = $data/1000000 . "GB";
         }
@@ -1986,10 +1994,10 @@
      * カテゴリーツリー状の配列を作成.
      *
-     * @param string $primary_key
-     * @param string $glue_key
-     * @param integer $max_depth
-     * @param array $correction
-     * @param integer $root_id
-     * @return array ツリーの配列
+     * @param  string  $primary_key
+     * @param  string  $glue_key
+     * @param  integer $max_depth
+     * @param  array   $correction
+     * @param  integer $root_id
+     * @return array   ツリーの配列
      */
     public static function buildTree($primary_key, $glue_key, $max_depth, $correction = array(), $root_id = 0)
@@ -2010,9 +2018,9 @@
      * ツリーの親子をつなげるルーチン.
      *
-     * @param array $target 親
-     * @param string $primary_key 主キーの識別子
-     * @param integer $level 親の階層
-     * @param integer $max_depth 階層の深さの最大値
-     * @param array $children 子の配列（キーが親ID）
+     * @param  array   $target      親
+     * @param  string  $primary_key 主キーの識別子
+     * @param  integer $level       親の階層
+     * @param  integer $max_depth   階層の深さの最大値
+     * @param  array   $children    子の配列（キーが親ID）
      * @return void
      */
@@ -2032,6 +2040,6 @@
      * 配列のキーをIDにした配列を作成.
      *
-     * @param string $ID_name IDが格納されているキー名
-     * @param array $correction 元の配列
+     * @param  string $ID_name    IDが格納されているキー名
+     * @param  array  $correction 元の配列
      * @return array
      */
